Last Comment Bug 584894 - Move the jpeg code to a saner location
: Move the jpeg code to a saner location
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: ImageLib (show other bugs)
: Trunk
: x86 Mac OS X
: -- normal (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-05 15:23 PDT by Jeff Muizelaar [:jrmuizel]
Modified: 2011-10-18 00:06 PDT (History)
9 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
part 1 - Move libjpeg to media/libjpeg. v1 (25.47 KB, patch)
2011-10-07 23:19 PDT, Bobby Holley (busy)
khuey: review+
Details | Diff | Review
part 2 - Move libpng to media/libpng. v1 (9.49 KB, patch)
2011-10-07 23:19 PDT, Bobby Holley (busy)
khuey: review+
Details | Diff | Review

Description Jeff Muizelaar [:jrmuizel] 2010-08-05 15:23:41 PDT
The consensus seems to be that it belongs in media/jpeg
Comment 1 Olli Pettay [:smaug] (high review load, please consider other reviewers) 2010-08-05 15:26:10 PDT
See https://bugzilla.mozilla.org/show_bug.cgi?id=573948#c97
Comment 2 atzaus 2010-08-06 21:52:47 PDT
A couple of suggestions
Right now everything in media is referred to by its library name so I would suggest something like media/libjpeg or media/libjpegturbo just to keep a consistent naming convention throughout the whole folder. It also helps anyone glancing at the source tree which library is being used e.g. libvpx instead of VP8.

Secondly if jpeg is being moved doesn't it make sense to move modules/libimg/png to media/libpng as well?
Comment 3 Bobby Holley (busy) 2011-10-07 20:16:19 PDT
I don't think this is WONTFIX. $(topsrcdir)/jpeg is a terrible location for libjpeg.
Comment 4 Benoit Girard (:BenWa) 2011-10-07 20:19:51 PDT
Sure, let's get this discussion started again and post a patch then.

Do we have consensus on media/libjpeg?
Comment 5 Bobby Holley (busy) 2011-10-07 20:25:36 PDT
(In reply to Benoit Girard (:BenWa) from comment #4)
> Sure, let's get this discussion started again and post a patch then.

I'm on it.

> Do we have consensus on media/libjpeg?

Hear hear!
Comment 6 Benoit Girard (:BenWa) 2011-10-07 20:31:37 PDT
(In reply to Bobby Holley (:bholley) from comment #5)
> I'm on it.

Posting a patch or discussing ;)? If not I'll gladly do it. Is 'hg move' sufficient or do we use something else to preserve history and whatnot?
Comment 7 Joe Drew (not getting mail) 2011-10-07 21:02:56 PDT
hg move is it!
Comment 8 Bobby Holley (busy) 2011-10-07 21:36:54 PDT
(In reply to Benoit Girard (:BenWa) from comment #6)
> (In reply to Bobby Holley (:bholley) from comment #5)
> > I'm on it.
> 
> Posting a patch or discussing ;)?

Both. I've got patches building to move libjpeg and libpng into media. If all goes well, I'll post 'em here for review.
Comment 9 Benoit Girard (:BenWa) 2011-10-07 21:38:21 PDT
That's great. Thanks for doing this!
Comment 10 Bobby Holley (busy) 2011-10-07 23:19:02 PDT
Created attachment 565713 [details] [diff] [review]
part 1 - Move libjpeg to media/libjpeg. v1

Several tries later, I've got a patch that builds and, hopefully, catches all the edge cases.

This patch does jpeg. Flagging khuey for review.
Comment 11 Bobby Holley (busy) 2011-10-07 23:19:28 PDT
Created attachment 565714 [details] [diff] [review]
part 2 - Move libpng to media/libpng. v1

And this one does png.
Comment 12 Bobby Holley (busy) 2011-10-18 00:06:16 PDT
Landed to mozilla-central:
https://hg.mozilla.org/mozilla-central/rev/17405b1eb600
https://hg.mozilla.org/mozilla-central/rev/e29520632bf3

Resolving fixed.

Note You need to log in before you can comment on or make changes to this bug.